loggingrb.c File Reference
Osmocom logging framework
`#include <osmocom/core/strrb.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/loggingrb.h>`

## Functions

static void | _rb_output (struct log_target *target, unsigned int level, const char *log)
size_t | log_target_rb_used_size (struct log_target const *target)
| Return the number of log strings in the osmo_strrb-backed target. More...
size_t | log_target_rb_avail_size (struct log_target const *target)
| Return the capacity of the osmo_strrb-backed target. More...
const char * | log_target_rb_get (struct log_target const *target, size_t logindex)
| Return the nth log entry in a target. More...
struct log_target * | log_target_create_rb (size_t size)
| Create a new logging target for ringbuffer-backed logging. More...